import pandas as pd

import logging

logger = logging.getLogger()


def save_from_dataframe(df: pd.DataFrame, tablename: str, connection) -> bool:
    save = True
    try:
        with connection.connect() as conn:
            df.to_sql(tablename, conn, if_exists='append', index=False, chunksize=500)
    except Exception as e:
        logger.error(f"Error guardando resultados desde dataframe. {e}")
    finally:
        return save
